package pl.javatech.jws.bank.logic;

import pl.javatech.jws.bank.model.Adres;
import pl.javatech.jws.bank.model.Osoba;

/**
 * @author Patryk Czarnik
 * Czesc przykladu "Bank" do szkolenia z JAXB / WebSerwisow.
 * 
 * Zestaw operacji, ktore ma udostepniac usluga sieciowa. */
public interface IBank {
	/** Zwraca biezacy stan konta.
	 * @param numer_konta
	 * @return
	 */
	public long stanKonta(String numer_konta);
	
	/**Wplaca okreslona kwote na konto o okreslonym numerze.
	 * @param numer_konta
	 * @param kwota
	 * @return stan konta po zmianie
	 */
	public long wplata(String numer_konta, long kwota);
	
	/**Zwraca osobe - glownego wlasciciela konta.
	 * @param numer_konta
	 * @return
	 */
	public Osoba wlascicielKonta(String numer_konta);

	/**Zwraca adres glownego wlasciciela konta.
	 * Jesli ma ustawiony adres do korespondencji, to ten jest zwracany.
	 * Jesli nie ma, zwracany jest adres zameldowania. 
	 * @param numer_konta
	 * @return
	 */
	public Adres adresKorespondencyjny(String numer_konta);

	/**Zmienia lub ustawia adres korespondencyjny dla glownego wlasciciela konta.
	 * @param numer_konta
	 * @param adres
	 */
	public void zmienAdresKorespondencyjny(String numer_konta, Adres adres);
	
	/** Zwraca zdjęcie właściciela w formacie JPEG.
	 * (należy odczytać z pliku {nazwa_konta}.jpg)
	 * @param numer_konta
	 * 
	 */
	public byte[] wezFoto(String numer_konta);
}
