package pl.javatech.jws.bank.utils;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

import javax.xml.bind.annotation.adapters.XmlAdapter;

public class DateAdapter extends XmlAdapter<String, Calendar> {

	@Override
	public Calendar unmarshal(String v) throws Exception {
		SimpleDateFormat formatter = new SimpleDateFormat("YYYY-MM-dd");
		Date d = formatter.parse(v);
		
		Calendar c = Calendar.getInstance();
		c.setTime(d);
		return c;
	}

	@Override
	public String marshal(Calendar c) throws Exception {
		SimpleDateFormat formatter = new SimpleDateFormat("YYYY-MM-dd");
		String s = formatter.format(c.getTime());
		return s;
	}

}
