package pl.javatech.jws.bank.utils;

import java.util.Calendar;
import java.util.LinkedList;
import java.util.List;

import pl.javatech.jws.bank.model.Adres;
import pl.javatech.jws.bank.model.Bank;
import pl.javatech.jws.bank.model.Konto;
import pl.javatech.jws.bank.model.Osoba;
import pl.javatech.jws.bank.model.Plec;

/**
 * @author Patryk Czarnik
 * Czesc przykladu "Bank" do szkolenia z JAXB / WebSerwisow.
 * 
 * Klasa do generowania przykladowych danych.
 */
public class Przyklady {

	public static Bank przykladowyBank() {
		Osoba osoba = przykladowaOsoba();
		Osoba osoba2 = przykladowaOsoba2();
		Konto konto1 = new Konto("12345", 100, osoba, null);
		Konto konto2 = new Konto("abcdefg", 150, osoba2, osoba);
		List<Konto> konta = new LinkedList<Konto>();
		konta.add(konto1);
		konta.add(konto2);
		Bank bank = new Bank();
		bank.setNazwa("JavaBank");
		bank.setKonta(konta);
		return bank;
	}

	public static Osoba przykladowaOsoba() {
		Adres adr1 = new Adres("Ciekawa", "25a", "5", "12-345", "Warszawa", "Polska");
		Osoba osoba = new Osoba("Kowalski", "Jan", Calendar.getInstance(), Plec.MEZCZYZNA, adr1, null);
		return osoba;
	}

	public static Osoba przykladowaOsoba2() {
		Adres adr2 = new Adres("Wesoła", "11", null, "00-997", "Warszawa", null);
		Adres adr3 = new Adres("Smutna", "5", "5", "98-765", "Wólka", "Polska");
		Osoba osoba = new Osoba("Kowalska", "Anna", Calendar.getInstance(), Plec.MEZCZYZNA, adr2, adr3);
		return osoba;
	}
}
