package szkolenie.saaj_weather;

import java.io.IOException;

import javax.xml.namespace.QName;
import javax.xml.soap.MessageFactory;
import javax.xml.soap.MimeHeader;
import javax.xml.soap.MimeHeaders;
import javax.xml.soap.SOAPBody;
import javax.xml.soap.SOAPConnection;
import javax.xml.soap.SOAPConnectionFactory;
import javax.xml.soap.SOAPElement;
import javax.xml.soap.SOAPException;
import javax.xml.soap.SOAPMessage;

import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class SAAJ_Weather {
	
	public static final String NS = "http://ws.cdyne.com/WeatherWS/";
	public static final String PREF = "pre";

	public static void main(String[] args) {
		try {
			MessageFactory mf = MessageFactory.newInstance();
			SOAPMessage request = mf.createMessage();
			
			SOAPBody  body = request.getSOAPBody();
			SOAPElement getCityWeather = body.addBodyElement(new QName(NS, "GetCityWeatherByZIP", PREF));
			SOAPElement zip = getCityWeather.addChildElement(new QName(NS, "ZIP", PREF));
			zip.setTextContent("10101");
			
			MimeHeaders headers = request.getMimeHeaders();
			headers.setHeader("SOAPAction", "http://ws.cdyne.com/WeatherWS/GetCityWeatherByZIP");
			
			System.out.println("Zapytanie:");
			request.writeTo(System.out);
			System.out.println("\n\n");
			
			SOAPConnectionFactory cf = SOAPConnectionFactory.newInstance();
			SOAPConnection con = cf.createConnection();
			SOAPMessage response = con.call(request, "http://wsf.cdyne.com/WeatherWS/Weather.asmx");
			System.out.println("Odpowiedz:");
			response.writeTo(System.out);
			System.out.println("\n\n");
			
			
			SOAPBody responseBody = response.getSOAPBody();
			NodeList list = responseBody.getElementsByTagNameNS(NS, "City");
			if(list.getLength() > 0) {
				Node element = list.item(0);
				System.out.println("Miasto: "+element.getTextContent());
			}

			list = responseBody.getElementsByTagNameNS(NS, "Temperature");
			if(list.getLength() > 0) {
				Node element = list.item(0);
				System.out.println("Temperatura (F): "+element.getTextContent());
			}

		} catch (SOAPException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}









